Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.sms.smpp.management
Interface SmsMBean

public interface SmsMBean

This interface defines the attributes and operations of the SMPP plugin that can be managed.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `activeStatus` The current active status of the SMPP plugin.
`static int` | `bindType` Bind type for the plugin.
`static int` | `connectDelayValue` The delay time in seconds to use between connection attempts when the connection to the SMSC has been lost.
`static int` | `connectTotalTimeValue` The total time in minutes to keep trying to connect to the SMSC.
`static boolean` | `dataSm` Use DATA_SM (only when sending binary data)
`static int` | `defaultDataCoding` Set the default data coding to use when sending SMS messages.
`static int` | `enquireLinkRequestTimerValue` Set the value of the timer used when sending Enquire Link requests.
`static int` | `enquireLinkTimerValue` The Enquire Link Timer value in seconds.
`static String` | `esmeAddressRange` Set the ESME address range.
`static int` | `esmeNpi` The ESME Numbering Plan Indicator (NPI).
`static String` | `esmePassword` The ESME password.
`static String` | `esmeSystemId` The ESME system ID.
`static String` | `esmeSystemType` The ESME system type.
`static int` | `esmeTon` The ESME Type Of Number (TON).
`static boolean` | `forwardXParams`
`static int` | `messagingMode` The ESM_CLASS Messaging Mode for packets.
`static int` | `mobileCountryCode` Set the Mobile Country Code for sending operator logo
`static int` | `mobileNetworkCode` Set the Mobile Network Code for sending operator logo
`static int` | `numberReceiverConnections` Number of Receiver connections used towards the SMSC if bind type is 0.
`static int` | `numberTransceiverConnections` Number of Transceiver connections used towards the SMSC if bind type is 1.
`static int` | `numberTransmitterConnections` Number of Transmitter connections used towards the SMSC if bind type is 0.
`static String` | `receiverProxyLocalAddressAndPort` The Address and which the receiver of the SMPP SMSC should bind to on the local machine.
`static int` | `receiveSegmentsWaitTime` Specifies the maxium time in seconds to wait on the arrival of the segments of a concatenated SMS from SMSC since the arrival of the first segment
`static boolean` | `receiveSmsIgnoreMissingSegments` This flag determines whether or not to deliver incomplete messages received with missing segments to the application If set to true, the plug-in will re-assemble the received segments and deliver the incomplete message to the application If set to false, the plug-in will not deliver messages to the application unless all segments are received
`static boolean` | `requestDeliveryReports` Delivery report flag.
`static int` | `requestTimerValue` The value of the timer used when sending requests.
`static int` | `segmentsLimit` The limit of number of segmentation allowed.
`static int` | `sequenceNumberRangeEndId` Set the end ID of the Sequence Number range.
`static int` | `sequenceNumberRangeStartId` Set the start ID of the sequence number range.
`static String` | `smppVersion` The SMPP version supported by this plugin.
`static String` | `smscAddress` The SMSC address.
`static int` | `SMSCDefaultAlphabet` The SMSC Default Alphabet.
`static int` | `smscPort` Set the SMSC port.
`static String` | `transceiverProxyLocalAddressAndPort` : The Address and port which the transmitter of the SMPP SMSC should bind to on the local machine.
`static String` | `transmitterProxyLocalAddressAndPort` The Address and port which the transmitter of the SMPP SMSC should bind to on the local machine.
`static int` | `userTextMaxLength` The User Text Max Length.
`static int` | `windowSize` The allowed window of unacknowledged SMPP operations between a plug-in and SMSC enforced for each connection.
`static int` | `windowWaitTimeout` Specifies in milliseconds the amount of time to wait before a Connection becomes available under the current windowSize restrcition.

Method Summary
`void` | `addDestinationAddressTypeMapping(String type, int ton, int npi)` Adds a new TON/NPI mapping for a new Destinationaddress type.
`void` | `addOriginatingAddressTypeMapping(String type, int ton, int npi)` Adds a new TON/NPI mapping for a new originatingaddress type.
`int` | `countOfflineNotificationCache()` Count the number of entries in the offline notification cache.
`int` | `countOnlineNotificationCache()` Count the number of entries in the online notification cache.
`int` | `countSmsCache()` Count the number of entries in the sms caches (sum of MT and MO caches).
`String` | `enableReceiveSms(String shortCode, String criteria, String appInstanceID)` This method is used to add an offline notification for applications that will poll for MO messages.
`boolean` | `getActiveStatus()` Check the current active status of the SMPP plugin.
`int` | `getBindType()`
`int` | `getConnectDelayValue()`
`int` | `getConnectTotalTimeValue()`
`boolean` | `getDataSm()`
`int` | `getDefaultDataCoding()`
`int` | `getEnquireLinkRequestTimerValue()`
`int` | `getEnquireLinkTimerValue()`
`String` | `getEsmeAddressRange()`
`int` | `getEsmeNpi()`
`String` | `getEsmePassword()`
`String` | `getEsmeSystemId()`
`String` | `getEsmeSystemType()`
`int` | `getEsmeTon()`
`boolean` | `getForwardXParams()`
`int` | `getMessagingMode()`
`int` | `getMobileCountryCode()`
`int` | `getMobileNetworkCode()`
`String` | `getModuleId()` return module id
`int` | `getNumberReceiverConnections()`
`int` | `getNumberTransceiverConnections()`
`int` | `getNumberTransmitterConnections()`
`NotificationInfo` | `getOfflineNotificationInfo(String correlator)` Get the notification associated with the specified correlator.
`NotificationInfo` | `getOnlineNotificationInfo(String correlator)` Get the notification associated with the specified correlator.
`String` | `getReceiverProxyLocalAddressAndPort()`
`int` | `getReceiveSegmentsWaitTime()`
`boolean` | `getReceiveSmsIgnoreMissingSegments()`
`boolean` | `getRequestDeliveryReports()`
`int` | `getRequestTimerValue()`
`int` | `getSegmentsLimit()`
`int` | `getSequenceNumberRangeEndId()`
`int` | `getSequenceNumberRangeStartId()`
`String` | `getSmppVersion()`
`String` | `getSmscAddress()`
`String` | `getSMSCDefaultAlphabet()`
`int` | `getSmscPort()`
`String` | `getTransceiverProxyLocalAddressAndPort()`
`String` | `getTransmitterProxyLocalAddressAndPort()`
`int` | `getUserTextMaxLength()`
`int` | `getWindowSize()`
`int` | `getWindowWaitTimeout()`
`String[]` | `listDestinationAddressTypeMappings()`
`String[]` | `listOfflineNotificationInfo()` Lists all offline notifications (added using the OAM enableReceiveSms method).
`String[]` | `listOnlineNotificationInfo()` Lists all online notifications (added using startSmsNotification).
`void` | `removeDestinationAddressTypeMapping(String type)`
`void` | `removeOfflineNotificationInfo(String registrationIdentifier)` Remove an offline notification that was added using the OAM enableReceiveSms method
`void` | `removeOnlineNotificationInfo(String correlator)` Remove the specified online notification that was added using OAM interfaces or application interfaces (startSmsNotification).
`void` | `resetSMPPConnection()` Reset the connection to the SMSC, will rebind both the transmitter and the receiver.
`void` | `setBindType(int type)` Bind type for the plugin.Used to connect to the SMSC.
`void` | `setConnectDelayValue(int totalTime)`
`void` | `setConnectTotalTimeValue(int totalTime)`
`void` | `setDataSm(boolean value)`
`void` | `setDefaultDataCoding(int dataCoding)`
`void` | `setEnquireLinkRequestTimerValue(int milliseconds)`
`void` | `setEnquireLinkTimerValue(int timerValue)`
`void` | `setEsmeAddressRange(String addressRange)`
`void` | `setEsmeNpi(int npi)`
`void` | `setEsmePassword(String passwd)`
`void` | `setEsmeSystemId(String systemId)`
`void` | `setEsmeSystemType(String systemType)`
`void` | `setEsmeTon(int ton)`
`void` | `setForwardXParams(boolean _value)`
`void` | `setMessagingMode(int mode)`
`void` | `setMobileCountryCode(int mcc)`
`void` | `setMobileNetworkCode(int mnc)`
`void` | `setNumberReceiverConnections(int numberOfConnections)`
`void` | `setNumberTransceiverConnections(int numberOfConnections)`
`void` | `setNumberTransmitterConnections(int numberOfConnections)`
`void` | `setReceiverProxyLocalAddressAndPort(String receiverProxyLocalAddressAndPort)`
`void` | `setReceiveSegmentsWaitTime(int timeout)`
`void` | `setReceiveSmsIgnoreMissingSegments(boolean b)`
`void` | `setRequestDeliveryReports(boolean requestDeliveryReports)`
`void` | `setRequestTimerValue(int milliseconds)`
`void` | `setSegmentsLimit(int limit)`
`void` | `setSequenceNumberRangeEndId(int endId)`
`void` | `setSequenceNumberRangeStartId(int startId)`
`void` | `setSmscAddress(String smscAddress)`
`void` | `setSMSCDefaultAlphabet(String characterEncodingScheme)`
`void` | `setSmscPort(int smscPort)`
`void` | `setTransceiverProxyLocalAddressAndPort(String transceiverProxyLocalAddressAndPort)`
`void` | `setTransmitterProxyLocalAddressAndPort(String transmitterProxyLocalAddressAndPort)`
`void` | `setUserTextMaxLength(int userTextMaxLength)`
`void` | `setWindowSize(int windowSize)`
`void` | `setWindowWaitTimeout(int windowWaitTimeout)`
`String` | `startSmsNotification(String endpoint, String shortCode, String criteria, String appInstanceID)` Add an online notification for applications that for some reason can not (or are not allowed) call the startSmsNotification method.
`int` | `translateDestinationAddressNpi(String type)`
`int` | `translateDestinationAddressTon(String type)`
`int` | `translateOriginatingAddressNpi(String type)`
`int` | `translateOriginatingAddressTon(String type)`

Field Detail

### activeStatus

    public static final boolean activeStatus

  The current active status of the SMPP plugin. Is true if the transmitter connection has been successfully bound.

  See Also:
    Constant Field Values

### bindType

    public static final int bindType

  Bind type for the plugin. Used to connect to the SMSC. Default is 0 (TRANSMITTER and RECEIVER) 0=Transmitter and Receiver 1=Transceiver

  See Also:
    Constant Field Values

### connectDelayValue

    public static final int connectDelayValue

  The delay time in seconds to use between connection attempts when the connection to the SMSC has been lost.

  See Also:
    Constant Field Values

### connectTotalTimeValue

    public static final int connectTotalTimeValue

  The total time in minutes to keep trying to connect to the SMSC.

  See Also:
    Constant Field Values

### dataSm

    public static final boolean dataSm

  Use DATA_SM (only when sending binary data)

  See Also:
    Constant Field Values

### defaultDataCoding

    public static final int defaultDataCoding

  Set the default data coding to use when sending SMS messages. This value will be used if a data coding is not provided by the north bound interface. See data_coding parameter in SMPP specification for valid values. Example values: 0=SMSC Default Alphabet 1=ASCII 8=USC2

  See Also:
    Constant Field Values

### enquireLinkRequestTimerValue

    public static final int enquireLinkRequestTimerValue

  Set the value of the timer used when sending Enquire Link requests. The value is in milliseconds.

  See Also:
    Constant Field Values

### enquireLinkTimerValue

    public static final int enquireLinkTimerValue

  The Enquire Link Timer value in seconds. The SMPP Plugin will send the Enquire Link Operation to the SMSC to keep the connection alive. The time between enquieries is specified by this timer value. NOTE! To turn off the sending of Enquire Link, set the timer value to zero.

  See Also:
    Constant Field Values

### esmeAddressRange

    public static final String esmeAddressRange

  Set the ESME address range. The address range that the plugin uses when binding to the SMSC. Formatted as a Unix regular expression. This affects which SM's are sent to the plugin.

  See Also:
    Constant Field Values

### esmeNpi

    public static final int esmeNpi

  The ESME Numbering Plan Indicator (NPI). Used for destination address and as a default for originating address. Also used for both destination address and originating address during bind operation.

  See Also:
    Constant Field Values

### esmePassword

    public static final String esmePassword

  The ESME password. The password that the plugin uses when binding to the SMSC.

  See Also:
    Constant Field Values

### esmeSystemId

    public static final String esmeSystemId

  The ESME system ID. The system ID that the plugin uses when binding to the SMSC.

  See Also:
    Constant Field Values

### esmeSystemType

    public static final String esmeSystemType

  The ESME system type. The system type that the plugin uses when binding to the SMSC

  See Also:
    Constant Field Values

### esmeTon

    public static final int esmeTon

  The ESME Type Of Number (TON). Used for destination address and as a default for originating address. Also used for both destination address and originating address during bind operation. 0=UNKNOWN 1=INTERNATIONAL 2=NATIONAL 3=NETWORK 4=SUBSCRIBER 5=ALPHANUMERIC 6=ABBREVIATED 7=RESERVED_EXTN

  See Also:
    Constant Field Values

### forwardXParams

    public static final boolean forwardXParams

See Also:
  Constant Field Values

### messagingMode

    public static final int messagingMode

  The ESM_CLASS Messaging Mode for packets. 2 - Forward (i.e. Transaction) mode. Only used when DATA_SM, otherwise Store and Forward mode is used. 3 - Store and Forward mode

  See Also:
    Constant Field Values

### mobileCountryCode

    public static final int mobileCountryCode

  Set the Mobile Country Code for sending operator logo

  See Also:
    Constant Field Values

### mobileNetworkCode

    public static final int mobileNetworkCode

  Set the Mobile Network Code for sending operator logo

  See Also:
    Constant Field Values

### numberReceiverConnections

    public static final int numberReceiverConnections

  Number of Receiver connections used towards the SMSC if bind type is 0. Default is 1 connection.

  See Also:
    Constant Field Values

### numberTransceiverConnections

    public static final int numberTransceiverConnections

  Number of Transceiver connections used towards the SMSC if bind type is 1. Default is 1 connection.

  See Also:
    Constant Field Values

### numberTransmitterConnections

    public static final int numberTransmitterConnections

  Number of Transmitter connections used towards the SMSC if bind type is 0. Default is 1 connection.

  See Also:
    Constant Field Values

### receiverProxyLocalAddressAndPort

    public static final String receiverProxyLocalAddressAndPort

  The Address and which the receiver of the SMPP SMSC should bind to on the local machine. Allows specification of the NIC which the receiver should bind on. Default is an empty string ("") which means that it will bind to the default NIC. NOTE: You normally do not need to configure this value. Format: String :

  See Also:
    Constant Field Values

### receiveSegmentsWaitTime

    public static final int receiveSegmentsWaitTime

  Specifies the maxium time in seconds to wait on the arrival of the segments of a concatenated SMS from SMSC since the arrival of the first segment

  See Also:
    Constant Field Values

### receiveSmsIgnoreMissingSegments

    public static final boolean receiveSmsIgnoreMissingSegments

  This flag determines whether or not to deliver incomplete messages received with missing segments to the application If set to true, the plug-in will re-assemble the received segments and deliver the incomplete message to the application If set to false, the plug-in will not deliver messages to the application unless all segments are received

  See Also:
    Constant Field Values

### requestDeliveryReports

    public static final boolean requestDeliveryReports

  Delivery report flag. This flag will determine if the SMPP plugin shall ask for delivery reports or not. If set to true, delivery reports will be requested. Note that application specific settings may override this flag if this flag is true. Delivery report requesting is calculated as getRequestDeliveryReports() && applicationSpecificFlag. The application specific flag shall be sent in the tunneled parameter: 'com.bea.wlcp.wlng.plugin.sms.RequestDeliveryReportFlag'

  See Also:
    Constant Field Values

### requestTimerValue

    public static final int requestTimerValue

  The value of the timer used when sending requests. The value is in milliseconds.

  See Also:
    Constant Field Values

### segmentsLimit

    public static final int segmentsLimit

  The limit of number of segmentation allowed.

  See Also:
    Constant Field Values

### sequenceNumberRangeEndId

    public static final int sequenceNumberRangeEndId

  Set the end ID of the Sequence Number range. The ID Manager will not generating IDs larger than this value.

  See Also:
    Constant Field Values

### sequenceNumberRangeStartId

    public static final int sequenceNumberRangeStartId

  Set the start ID of the sequence number range. The ID Manager will start generating IDs beginning with this value.

  See Also:
    Constant Field Values

### smppVersion

    public static final String smppVersion

  The SMPP version supported by this plugin.

  See Also:
    Constant Field Values

### smscAddress

    public static final String smscAddress

  The SMSC address. The host name or IP address of the SMSC

  See Also:
    Constant Field Values

### SMSCDefaultAlphabet

    public static final int SMSCDefaultAlphabet

  The SMSC Default Alphabet. This is the default character encoding scheme that is used by the SMSC when encoding the short message. The Plugin needs to use the same character encoding scheme for the characters to be decoded correctly. The following encoding schemes are supported: All encoding schemes supported by JAVA. Example: ASCII (American Standard Code for Information Interchange) Cp1252 (Windows Latin-1) ISO8859_1 (ISO 8859-1, Latin alphabet No. 1) Specify GSM_DEFAULT for default GSM character set.

  See Also:
    Constant Field Values

### smscPort

    public static final int smscPort

  Set the SMSC port. The port number on the SMSC host to connect to.

  See Also:
    Constant Field Values

### transceiverProxyLocalAddressAndPort

    public static final String transceiverProxyLocalAddressAndPort

  : The Address and port which the transmitter of the SMPP SMSC should bind to on the local machine. Allows specification of the NIC which the transmitter should bind on. Default is an empty string (\"\") which means that it will bind to the default NIC.\n NOTE: You normally do not need to configure this value.

  See Also:
    Constant Field Values

### transmitterProxyLocalAddressAndPort

    public static final String transmitterProxyLocalAddressAndPort

  The Address and port which the transmitter of the SMPP SMSC should bind to on the local machine. Allows specification of the NIC which the transmitter should bind on. Default is an empty string ("") which means that it will bind to the default NIC. NOTE: You normally do not need to configure this value. * Format: String :

  See Also:
    Constant Field Values

### userTextMaxLength

    public static final int userTextMaxLength

  The User Text Max Length. This is the maximum number of characters allowed in a message to be sent using the Short Message Service.

  See Also:
    Constant Field Values

### windowSize

    public static final int windowSize

  The allowed window of unacknowledged SMPP operations between a plug-in and SMSC enforced for each connection. Only applies to requests sent towards SMSC and not to Requests sent from SMSC to the plug-in. A value of -1 indicates that the number of unacknowledged operations is not restricted. Other legal values must be > 0.

  See Also:
    Constant Field Values

### windowWaitTimeout

    public static final int windowWaitTimeout

  Specifies in milliseconds the amount of time to wait before a Connection becomes available under the current windowSize restrcition. Negligible value if the window size is not enforced. Legal values must be > 0.

  See Also:
    Constant Field Values

Method Detail

### addDestinationAddressTypeMapping

    public void addDestinationAddressTypeMapping(String type,
                                                 int ton,
                                                 int npi)
                                          throws ManagementException

  Adds a new TON/NPI mapping for a new Destinationaddress type. The plugin will use the tunneled parameter com.bea.wlcp.wlng.plugin.sms.DestinationAddressType.0...n-1 and do a translation. com.bea.wlcp.wlng.plugin.sms.DestinationAddressType.0 should match the specified type type: The new type for the mapping ton: The TON to use. 0=UNKNOWN 1=INTERNATIONAL 2=NATIONAL 3=NETWORK 4=SUBSCRIBER 5=ALPHANUMERIC 6=ABBREVIATED 7=RESERVED_EXTN npi: The NPI to use. 0=Unknown 1=ISDN(E163/E164) 3=Data(X.121) 4=Telex(F.69) 6=Land Mobile(E.212) 8=National 9=Private 10=ERMES 14=Internet(IP) 18=WAP Client ID

  Throws:
    `ManagementException`

### addOriginatingAddressTypeMapping

    public void addOriginatingAddressTypeMapping(String type,
                                                 int ton,
                                                 int npi)
                                          throws ManagementException

  Adds a new TON/NPI mapping for a new originatingaddress type. The plugin will use the tunneled parameter com.bea.wlcp.wlng.plugin.sms.OriginatingAddressType and do a translation. com.bea.wlcp.wlng.plugin.sms.OriginatingAddressType should match the specified type

  Parameters:
    `type` - The new type for the mapping
    `ton` - The TON to use. 0=UNKNOWN 1=INTERNATIONAL 2=NATIONAL 3=NETWORK 4=SUBSCRIBER 5=ALPHANUMERIC 6=ABBREVIATED 7=RESERVED_EXTN
    `npi` - The NPI to use. 0=Unknown 1=ISDN(E163/E164) 3=Data(X.121) 4=Telex(F.69) 6=Land Mobile(E.212) 8=National 9=Private 10=ERMES 14=Internet(IP) 18=WAP Client ID
  Throws:
    `ManagementException`

### countOfflineNotificationCache

    public int countOfflineNotificationCache()

  Count the number of entries in the offline notification cache.

### countOnlineNotificationCache

    public int countOnlineNotificationCache()

  Count the number of entries in the online notification cache.

### countSmsCache

    public int countSmsCache()

  Count the number of entries in the sms caches (sum of MT and MO caches).

### enableReceiveSms

    public String enableReceiveSms(String shortCode,
                                   String criteria,
                                   String appInstanceID)

  This method is used to add an offline notification for applications that will poll for MO messages. MO messages matching this notification will not result in a callback to an application, the application has to use the correlator returned by this method and poll for new messages.

  Parameters:
    `shortCode` - The destination address/service activation number of the short message with URI prefixed, e.g. t"el:6001".
    `criteria` - The text to match against to determine the application to receive the notification.
    `appInstanceID` - The applicationInstanceID to associate with this notification.
  Returns:
    the correlator uniquely identifying the new notification.

### getActiveStatus

    public boolean getActiveStatus()

  Check the current active status of the SMPP plugin. Will return true if the transmitter connection has been successfully bound.

### getBindType

    public int getBindType()
                    throws ManagementException

  Throws:
    `ManagementException`

### getConnectDelayValue

    public int getConnectDelayValue()
                             throws ManagementException

  Throws:
    `ManagementException`

### getConnectTotalTimeValue

    public int getConnectTotalTimeValue()
                                 throws ManagementException

  Throws:
    `ManagementException`

### getDataSm

    public boolean getDataSm()
                      throws ManagementException

  Throws:
    `ManagementException`

### getDefaultDataCoding

    public int getDefaultDataCoding()
                             throws ManagementException

  Throws:
    `ManagementException`

### getEnquireLinkRequestTimerValue

    public int getEnquireLinkRequestTimerValue()
                                        throws ManagementException

  Throws:
    `ManagementException`

### getEnquireLinkTimerValue

    public int getEnquireLinkTimerValue()
                                 throws ManagementException

  Throws:
    `ManagementException`

### getEsmeAddressRange

    public String getEsmeAddressRange()
                               throws ManagementException

  Throws:
    `ManagementException`

### getEsmeNpi

    public int getEsmeNpi()
                   throws ManagementException

  Throws:
    `ManagementException`

### getEsmePassword

    public String getEsmePassword()
                           throws ManagementException

  Throws:
    `ManagementException`

### getEsmeSystemId

    public String getEsmeSystemId()
                           throws ManagementException

  Throws:
    `ManagementException`

### getEsmeSystemType

    public String getEsmeSystemType()
                             throws ManagementException

  Throws:
    `ManagementException`

### getEsmeTon

    public int getEsmeTon()
                   throws ManagementException

  Throws:
    `ManagementException`

### getForwardXParams

    public boolean getForwardXParams()
                              throws ManagementException

  Throws:
    `ManagementException`

### getMessagingMode

    public int getMessagingMode()
                         throws ManagementException

  Throws:
    `ManagementException`

### getMobileCountryCode

    public int getMobileCountryCode()
                             throws ManagementException

  Throws:
    `ManagementException`

### getMobileNetworkCode

    public int getMobileNetworkCode()
                             throws ManagementException

  Throws:
    `ManagementException`

### getModuleId

    public String getModuleId()
                       throws ManagementException

  return module id

  Throws:
    `ManagementException`

### getNumberReceiverConnections

    public int getNumberReceiverConnections()
                                     throws ManagementException

  Throws:
    `ManagementException`

### getNumberTransceiverConnections

    public int getNumberTransceiverConnections()
                                        throws ManagementException

  Throws:
    `ManagementException`

### getNumberTransmitterConnections

    public int getNumberTransmitterConnections()
                                        throws ManagementException

  Throws:
    `ManagementException`

### getOfflineNotificationInfo

    public NotificationInfo getOfflineNotificationInfo(String correlator)

  Get the notification associated with the specified correlator. An offline notification is a notification that has been added using the OAM enableReceiveSms method.

  Parameters:
    `correlator` -

### getOnlineNotificationInfo

    public NotificationInfo getOnlineNotificationInfo(String correlator)

  Get the notification associated with the specified correlator. An online notification is a notification that has been added using startSmsNotification, through OAM interfaces or through an application interface.

  Parameters:
    `correlator` -

### getReceiverProxyLocalAddressAndPort

    public String getReceiverProxyLocalAddressAndPort()
                                               throws ManagementException

  Throws:
    `ManagementException`

### getReceiveSegmentsWaitTime

    public int getReceiveSegmentsWaitTime()
                                   throws ManagementException

  Throws:
    `ManagementException`

### getReceiveSmsIgnoreMissingSegments

    public boolean getReceiveSmsIgnoreMissingSegments()
                                               throws ManagementException

  Throws:
    `ManagementException`

### getRequestDeliveryReports

    public boolean getRequestDeliveryReports()
                                      throws ManagementException

  Throws:
    `ManagementException`

### getRequestTimerValue

    public int getRequestTimerValue()
                             throws ManagementException

  Throws:
    `ManagementException`

### getSegmentsLimit

    public int getSegmentsLimit()
                         throws ManagementException

  Throws:
    `ManagementException`

### getSequenceNumberRangeEndId

    public int getSequenceNumberRangeEndId()
                                    throws ManagementException

  Throws:
    `ManagementException`

### getSequenceNumberRangeStartId

    public int getSequenceNumberRangeStartId()
                                      throws ManagementException

  Throws:
    `ManagementException`

### getSmppVersion

    public String getSmppVersion()
                          throws ManagementException

  Throws:
    `ManagementException`

### getSmscAddress

    public String getSmscAddress()
                          throws ManagementException

  Throws:
    `ManagementException`

### getSMSCDefaultAlphabet

    public String getSMSCDefaultAlphabet()
                                  throws ManagementException

  Throws:
    `ManagementException`

### getSmscPort

    public int getSmscPort()
                    throws ManagementException

  Throws:
    `ManagementException`

### getTransceiverProxyLocalAddressAndPort

    public String getTransceiverProxyLocalAddressAndPort()
                                                  throws ManagementException

  Throws:
    `ManagementException`

### getTransmitterProxyLocalAddressAndPort

    public String getTransmitterProxyLocalAddressAndPort()
                                                  throws ManagementException

  Throws:
    `ManagementException`

### getUserTextMaxLength

    public int getUserTextMaxLength()
                             throws ManagementException

  Throws:
    `ManagementException`

### getWindowSize

    public int getWindowSize()
                      throws ManagementException

  Throws:
    `ManagementException`

### getWindowWaitTimeout

    public int getWindowWaitTimeout()
                             throws ManagementException

  Throws:
    `ManagementException`

### listDestinationAddressTypeMappings

    public String[] listDestinationAddressTypeMappings()
                                                throws ManagementException

  Throws:
    `ManagementException`

### listOfflineNotificationInfo

    public String[] listOfflineNotificationInfo()

  Lists all offline notifications (added using the OAM enableReceiveSms method).

### listOnlineNotificationInfo

    public String[] listOnlineNotificationInfo()

  Lists all online notifications (added using startSmsNotification).

### removeDestinationAddressTypeMapping

    public void removeDestinationAddressTypeMapping(String type)
                                             throws ManagementException

  Throws:
    `ManagementException`

### removeOfflineNotificationInfo

    public void removeOfflineNotificationInfo(String registrationIdentifier)

  Remove an offline notification that was added using the OAM enableReceiveSms method

  Parameters:
    `registrationIdentifier` -

### removeOnlineNotificationInfo

    public void removeOnlineNotificationInfo(String correlator)

  Remove the specified online notification that was added using OAM interfaces or application interfaces (startSmsNotification).

### resetSMPPConnection

    public void resetSMPPConnection()

  Reset the connection to the SMSC, will rebind both the transmitter and the receiver. Invoking this method will also reset the timers used in the reconnect procedure

### setBindType

    public void setBindType(int type)
                     throws ManagementException

  Bind type for the plugin.Used to connect to the SMSC. Default is 0 (TRANSMITTER and RECEIVER) 0=Transmitter and Receiver 1=Transceiver

  Throws:
    `ManagementException`

### setConnectDelayValue

    public void setConnectDelayValue(int totalTime)
                              throws ManagementException

  Throws:
    `ManagementException`

### setConnectTotalTimeValue

    public void setConnectTotalTimeValue(int totalTime)
                                  throws ManagementException

  Throws:
    `ManagementException`

### setDataSm

    public void setDataSm(boolean value)
                   throws ManagementException

  Throws:
    `ManagementException`

### setDefaultDataCoding

    public void setDefaultDataCoding(int dataCoding)
                              throws ManagementException

  Throws:
    `ManagementException`

### setEnquireLinkRequestTimerValue

    public void setEnquireLinkRequestTimerValue(int milliseconds)
                                         throws ManagementException

  Throws:
    `ManagementException`

### setEnquireLinkTimerValue

    public void setEnquireLinkTimerValue(int timerValue)
                                  throws ManagementException

  Throws:
    `ManagementException`

### setEsmeAddressRange

    public void setEsmeAddressRange(String addressRange)
                             throws ManagementException

  Throws:
    `ManagementException`

### setEsmeNpi

    public void setEsmeNpi(int npi)
                    throws ManagementException

  Throws:
    `ManagementException`

### setEsmePassword

    public void setEsmePassword(String passwd)
                         throws ManagementException

  Throws:
    `ManagementException`

### setEsmeSystemId

    public void setEsmeSystemId(String systemId)
                         throws ManagementException

  Throws:
    `ManagementException`

### setEsmeSystemType

    public void setEsmeSystemType(String systemType)
                           throws ManagementException

  Throws:
    `ManagementException`

### setEsmeTon

    public void setEsmeTon(int ton)
                    throws ManagementException

  Throws:
    `ManagementException`

### setForwardXParams

    public void setForwardXParams(boolean _value)
                           throws ManagementException

  Throws:
    `ManagementException`

### setMessagingMode

    public void setMessagingMode(int mode)
                          throws ManagementException

  Throws:
    `ManagementException`

### setMobileCountryCode

    public void setMobileCountryCode(int mcc)
                              throws ManagementException

  Throws:
    `ManagementException`

### setMobileNetworkCode

    public void setMobileNetworkCode(int mnc)
                              throws ManagementException

  Throws:
    `ManagementException`

### setNumberReceiverConnections

    public void setNumberReceiverConnections(int numberOfConnections)
                                      throws ManagementException

  Throws:
    `ManagementException`

### setNumberTransceiverConnections

    public void setNumberTransceiverConnections(int numberOfConnections)
                                         throws ManagementException

  Throws:
    `ManagementException`

### setNumberTransmitterConnections

    public void setNumberTransmitterConnections(int numberOfConnections)
                                         throws ManagementException

  Throws:
    `ManagementException`

### setReceiverProxyLocalAddressAndPort

    public void setReceiverProxyLocalAddressAndPort(String receiverProxyLocalAddressAndPort)
                                             throws ManagementException

  Throws:
    `ManagementException`

### setReceiveSegmentsWaitTime

    public void setReceiveSegmentsWaitTime(int timeout)
                                    throws ManagementException

  Throws:
    `ManagementException`

### setReceiveSmsIgnoreMissingSegments

    public void setReceiveSmsIgnoreMissingSegments(boolean b)
                                            throws ManagementException

  Throws:
    `ManagementException`

### setRequestDeliveryReports

    public void setRequestDeliveryReports(boolean requestDeliveryReports)
                                   throws ManagementException

  Throws:
    `ManagementException`

### setRequestTimerValue

    public void setRequestTimerValue(int milliseconds)
                              throws ManagementException

  Throws:
    `ManagementException`

### setSegmentsLimit

    public void setSegmentsLimit(int limit)
                          throws ManagementException

  Throws:
    `ManagementException`

### setSequenceNumberRangeEndId

    public void setSequenceNumberRangeEndId(int endId)
                                     throws ManagementException

  Throws:
    `ManagementException`

### setSequenceNumberRangeStartId

    public void setSequenceNumberRangeStartId(int startId)
                                       throws ManagementException

  Throws:
    `ManagementException`

### setSmscAddress

    public void setSmscAddress(String smscAddress)
                        throws ManagementException

  Throws:
    `ManagementException`

### setSMSCDefaultAlphabet

    public void setSMSCDefaultAlphabet(String characterEncodingScheme)
                                throws ManagementException

  Throws:
    `ManagementException`

### setSmscPort

    public void setSmscPort(int smscPort)
                     throws ManagementException

  Throws:
    `ManagementException`

### setTransceiverProxyLocalAddressAndPort

    public void setTransceiverProxyLocalAddressAndPort(String transceiverProxyLocalAddressAndPort)
                                                throws ManagementException

  Throws:
    `ManagementException`

### setTransmitterProxyLocalAddressAndPort

    public void setTransmitterProxyLocalAddressAndPort(String transmitterProxyLocalAddressAndPort)
                                                throws ManagementException

  Throws:
    `ManagementException`

### setUserTextMaxLength

    public void setUserTextMaxLength(int userTextMaxLength)
                              throws ManagementException

  Throws:
    `ManagementException`

### setWindowSize

    public void setWindowSize(int windowSize)
                       throws ManagementException

  Throws:
    `ManagementException`

### setWindowWaitTimeout

    public void setWindowWaitTimeout(int windowWaitTimeout)
                              throws ManagementException

  Throws:
    `ManagementException`

### startSmsNotification

    public String startSmsNotification(String endpoint,
                                       String shortCode,
                                       String criteria,
                                       String appInstanceID)

  Add an online notification for applications that for some reason can not (or are not allowed) call the startSmsNotification method.

  Parameters:
    `endpoint` - The notification endpoint
    `shortCode` - The destination address/service activation number of the short message
    `criteria` - The text to match against to determine the application to receive the notification.
    `appInstanceID` - The applicationInstanceID to associate with this notification.

### translateDestinationAddressNpi

    public int translateDestinationAddressNpi(String type)
                                       throws ManagementException

  Throws:
    `ManagementException`

### translateDestinationAddressTon

    public int translateDestinationAddressTon(String type)
                                       throws ManagementException

  Throws:
    `ManagementException`

### translateOriginatingAddressNpi

    public int translateOriginatingAddressNpi(String type)
                                       throws ManagementException

  Throws:
    `ManagementException`

### translateOriginatingAddressTon

    public int translateOriginatingAddressTon(String type)
                                       throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD